var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, html, css } from 'lit';
import { property } from 'lit/decorators.js';
import { classMap } from 'lit/directives/class-map.js';
export const ICON_FILE_EARMARK_ARROW_UP_FILL = 'icon-file-earmark-arrow-up-fill';
export class IconFileEarmarkArrowUpFillComponent extends LitElement {
    static { this.styles = css `:host{--icon-width:var(--size-md-2x);--icon-height:var(--size-md-2x);--icon-color:none;display:inline-block}i{display:flex;align-items:center;justify-content:center;background-image:var(--icon-image);background-repeat:no-repeat;background-size:contain;background-position:center;width:var(--icon-width);height:var(--icon-height)}.recolor{background:var(--icon-color);-webkit-mask-image:var(--icon-image);-webkit-mask-size:var(--icon-width) var(--icon-height);-webkit-mask-repeat:no-repeat;-webkit-mask-position:center;mask-image:var(--icon-image);mask-size:var(--icon-width) var(--icon-height);mask-repeat:no-repeat;mask-position:center}.dynamic{--icon-color:var(--color-foreground)}.primary{--icon-color:var(--color-primary)}.secondary{--icon-color:var(--color-secondary)}.tertiary{--icon-color:var(--color-tertiary)}.success{--icon-color:var(--color-success)}.warning{--icon-color:var(--color-warning)}.danger{--icon-color:var(--color-danger)}.light{--icon-color:var(--color-light)}.medium{--icon-color:var(--color-medium)}.dark{--icon-color:var(--color-dark)}.gradient-dynamic{--icon-color:var(--gradient-foreground)}.gradient-primary{--icon-color:var(--gradient-primary)}.gradient-secondary{--icon-color:var(--gradient-secondary)}.gradient-tertiary{--icon-color:var(--gradient-tertiary)}.gradient-success{--icon-color:var(--gradient-success)}.gradient-warning{--icon-color:var(--gradient-warning)}.gradient-danger{--icon-color:var(--gradient-danger)}.gradient-light{--icon-color:var(--gradient-light)}.gradient-medium{--icon-color:var(--gradient-medium)}.gradient-dark{--icon-color:var(--gradient-dark)}.xxxs{--icon-width:var(--size-xxxs-2x);--icon-height:var(--size-xxxs-2x)}.xxs{--icon-width:var(--size-xxs-2x);--icon-height:var(--size-xxs-2x)}.xs{--icon-width:var(--size-xs-2x);--icon-height:var(--size-xs-2x)}.ss{--icon-width:var(--size-ss-2x);--icon-height:var(--size-ss-2x)}.sm{--icon-width:var(--size-sm-2x);--icon-height:var(--size-sm-2x)}.ml{--icon-width:var(--size-ml-2x);--icon-height:var(--size-ml-2x)}.lg{--icon-width:var(--size-lg-2x);--icon-height:var(--size-lg-2x)}.sl{--icon-width:var(--size-sl-2x);--icon-height:var(--size-sl-2x)}.xl{--icon-width:var(--size-xl-2x);--icon-height:var(--size-xl-2x)}.xxl{--icon-width:var(--size-xxl-2x);--icon-height:var(--size-xxl-2x)}.xxxl{--icon-width:var(--size-xxxl-2x);--icon-height:var(--size-xxxl-2x)}`; }
    render() { return html `<i part="icon" class=${classMap({ recolor: !!this.color, [this.color]: !!this.color, [this.size]: !!this.size })}></i>`; }
}
__decorate([
    property({ type: String })
], IconFileEarmarkArrowUpFillComponent.prototype, "size", void 0);
__decorate([
    property({ type: String })
], IconFileEarmarkArrowUpFillComponent.prototype, "color", void 0);
//# sourceMappingURL=file-earmark-arrow-up-fill.js.map